
/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

::slotted(nv-list-item:last-child) {
  --border-bottom-display: none;
}

//
// List
//

:host(.nv-list) {
  list-style: none;
  margin-bottom: 0;
  overflow-y: auto;
  padding-left: 0;
}

// Add position relative for get corret offsetTop 
// position from header elements
.nv-list-container {
  display: block;
  overflow: hidden;
  position: relative;
  width: 100%;
}

//
// Details List
//

:host(.nv-details-list) {
  border-collapse: collapse;
  display: table;
  width: 100%;
}

//
// Content
//

.nv-details-list-body {
  display: table-row-group;
}

//
// Header
//

.nv-details-list-header {
  border-bottom: 1px solid var(--nv-border-color);
  display: table-header-group;
}

//
// Columns Header
//
::slotted(.nv-details-list-column[slot='header']) {
  cursor: default;
  font-family: 'FiraGO Bold';

  &:hover {
    background-color: var(--nv-theme-alt-1);
  }
}

//
// Columns auto size
//
.nv-details-list-column.nv-details-list-auto-size {
  white-space: nowrap;
  width: 1%;
}

//
// Rows
//

::slotted(.nv-details-list-row) {
  &:last-child {
    border-bottom: unset;
  }
}

